<?php

/*
 InviteMe! is a plugin for e107 Website-System written by
 Eugen Beck (alias Killerpope) (killerpopes-world.de.ms)
 
 Released under the terms and conditions of the
 GNU General Public License (http://gnu.org).
*/

require_once('../../class2.php');
require_once(e_HANDLER.'form_handler.php');

include_once(e_PLUGIN.'invite_me/languages/'.e_LANGUAGE.'.php');
require_once(e_PLUGIN.'invite_me/languages/English.php');

$txt = '';

//Check for an Invitation
if ((isset($_POST['invitation_email'])) && (check_class($pref['invite_me_invite_right'])))
{
    //validate the email
    if (!check_email($_POST['invitation_email']))
    {
        $txt .= LAN_INVITE_105 . '<br /><hr />';
    }
    //create the invitation array
    $invitation = array();
    //make the email secure for db-insertion
    $invitation['email'] = $tp->toDB($_POST['invitation_email']);
    //is the email maybe already in the invitation list?
    $result = $sql->db_Select('inviteme','invitor',"email='{$invitation['email']}'");
    //if yes display an error
    if ($result)
    {
        $invitor = $sql->db_Fetch();
        $user = explode('.',$invitor['invitor']);
        if (USERID != $user[0])
        {
            $txt .= LAN_INVITE_106.'<br /><hr />';
        }
        else
        {
            $txt .= LAN_INVITE_107.'<br /><hr />';
        }
    }
    //Check wether a registered user with this email already exists
    $result = $sql->db_Select('user','user_email',"user_email='{$invitation['email']}'");
    if ($result)
    {
        $txt .= LAN_INVITE_109.'<br /><hr />';
    }
    
    //Check wether the user has engough gold to invite someone
    if (function_exists('gold'))
    {
        if (gold(USERID) < $pref['invite_me_prices']['invitation'])
        {
            $txt .= LAN_INVITE_1.'<br /><hr />';
        }
    }
    
    //Till now no error has occured, so lets insert it into the table
    if (!$txt)
    {
        //set the status of the new invitation according to prefs
        $invitation['status'] = ($pref['invite_me_admin_verify']) ? '0' : '1';
        if (getperms('p'))//admins don't need to verify their own invitations
        {
            $invitation['status'] = '1';
        }
        //when was the new user invited?
        $invitation['date'] = date('Y-m-d H:i:s');
        //Insert into db
        $rowid = $sql->db_Insert('inviteme',array('email'=>$invitation['email'],
                                         'invitor'=>USERID.'.'.USERNAME,
                                         'invitation_date'=>$invitation['date'],
                                         'status'=>$invitation['status']));
        if ($rowid)
        {
            $txt .= LAN_INVITE_108.'<br /><hr />';
        }
        if (($invitation['status'] = '1') && ($pref['invite_me_send_mail']))
        {
            //Send the email
            send_invitation_mail($invitation['email'], $invitation);
        }
        
        //pay the invitation
        if (function_exists('spending'))
        {
            spending($pref['invite_me_prices']['invitation'],USERID);
        }
        
        //delete it from the requests table (if there is any)
        $sql->db_Delete('inviteme_requests',"email='{$invitation['email']}'");
    }
}

//if the user is allowed view the invitation dialog
if (check_class($pref['invite_me_invite_right']))
{
    if (isset($_POST['invitation_email']))
        $invitation['email'] = $tp->toHTML($_POST['invitation_email']);
    $email = isset($invitaion['email']) ? $invitaion['email'] : 'your-friend@his-site.com';
    define('INVITE_ME_EMAIL',$email);
    
    require_once('./templates/template_invite_me.php');
    
    $txt .=  $tp->parseTemplate($INVITEME_INVITE_TEMPLATE);
}
else
{
    $txt = LAN_INVITE_104;
}

include_once(HEADERF);

$ns->tablerender(LAN_INVITE_100,$txt);

include_once(FOOTERF);

?>