<?php

/*
 InviteMe! is a plugin for e107 Website-System written by
 Eugen Beck (alias Killerpope) (killerpopes-world.de.ms)
 
 Released under the terms and conditions of the
 GNU General Public License (http://gnu.org).
*/

    $eplug_folder       = "invite_me";
    
    include_once(e_PLUGIN.$eplug_folder."/languages/".e_LANGUAGE.".php");
    include_once(e_PLUGIN.$eplug_folder."/languages/English.php");
    
    $eplug_name         = "Invite Me!";
    $eplug_version      = "0.2.0";
    $eplug_author       = "Eugen Beck(alias Killerpope)";
    $eplug_icon         = "";
    $eplug_icon_small   = "";
    $eplug_url          = "http://killerpopes-world.de.ms";
    $eplug_email        = "killerpope68@yahoo.de";
    $eplug_description  = LAN_INVITE_1;
    $eplug_compatible   = "e107v0.7+";
    $eplug_readme       = "";
    $eplug_compliant    = FALSE;
    $eplug_conffile     = "admin_config.php";
    $eplug_caption      = LAN_INVITE_2;
    
    $eplug_icon = $eplug_folder."/images/logo_32.png";
    $eplug_icon_small = $eplug_folder."/images/logo_16.png";
    
    $eplug_link         = TRUE;
    $eplug_link_name    = LAN_INVITE_3;
    $eplug_link_url     = e_PLUGIN.$eplug_folder."/invite_me.php";
    $eplug_link_perms   = "Member"; // Optional: Guest, Member, Admin, Everyone
    
    $eplug_done         = LAN_INVITE_4;
    $eplug_upgrade_done = LAN_INVITE_5;
    
    $eplug_prefs = array(
        "invite_me_only" => TRUE,
        "invite_me_invite_right" => e_UC_MEMBER,
        "invite_me_admin_verify" => FALSE,
        "invite_me_send_mail" => FALSE,
        "invite_me_send_mail_sender" => "admin@".substr(SITEURLBASE,7),
        "invite_me_send_mail_subject" => LAN_INVITE_DEFAULT_SUBJECT,
        "invite_me_send_mail_body" => LAN_INVITE_DEFAULT_BODY,
        "invite_me_prices" => array('invitation' => '20',
                                    'invitor' => '200'),
        "invite_me_requests" => TRUE,
    );
    
    $upgrade_add_prefs = array (
        "invite_me_only" => TRUE,
        "invite_me_send_mail" => FALSE,
        "invite_me_send_mail_sender" => "admin@".substr(SITEURLBASE,7),
        "invite_me_send_mail_subject" => LAN_INVITE_DEFAULT_SUBJECT,
        "invite_me_send_mail_body" => LAN_INVITE_DEFAULT_BODY,
        "invite_me_prices" => array('invitation' => '20',
                                    'invitor' => '200'),
        "invite_me_requests" => TRUE,
    );
    
    $upgrade_remove_prefs = array("invite_me_send_mail_html" => TRUE);
    
    // List of table names
    $eplug_sql = file_get_contents(e_PLUGIN.$eplug_folder."/invite_me_sql.php");
    $ret = preg_match_all("/CREATE TABLE (.*?)\(/i", $eplug_sql, $matches);
    $eplug_table_names = $matches[1];
    
    // List of sql requests to create tables
    $eplug_tables = explode(";",str_replace("CREATE TABLE ", "CREATE TABLE ".MPREFIX, $eplug_sql));
    for ($i=0; $i<count($eplug_tables); $i++)
    {
        // Prevents adding last array line, which results in an "Unable to create database" 
        // error message when installing the plugin
        if (($eplug_tables[$i] != "\r\n") && ($eplug_tables[$i] != ""))
        {
            $eplug_tables[$i] .= ";";
        }
        else
        {
            unset($eplug_tables[$i]);
        }
    }
    
    //Upgrade tables
    $upgrade_alter_tables = array('CREATE TABLE '.MPREFIX.'inviteme_requests (
        `id` INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY ,
        `name` VARCHAR( 100 ) NOT NULL ,
        `email` VARCHAR( 100 ) NOT NULL ,
        `msg` TEXT NULL
    ) ENGINE = MYISAM ;');
    
    if (!function_exists('invite_me_install'))
    {
        //add/remove a additional link
        
        function invite_me_install()
        {
            global $eplug_folder;
            require_once(e_HANDLER.'plugin_class.php');
            
            e107plugin::manage_link('add',e_PLUGIN.$eplug_folder.'/request.php',LAN_INVITE_111,e_UC_GUEST);
        }
        
        function invite_me_upgrade()
        {
            global $eplug_folder;
            require_once(e_HANDLER.'plugin_class.php');
            
            e107plugin::manage_link('add',e_PLUGIN.$eplug_folder.'/request.php',LAN_INVITE_111,e_UC_GUEST);
        }
        
        function invite_me_uninstall()
        {
            global $eplug_folder;
            require_once(e_HANDLER.'plugin_class.php');
            
            e107plugin::manage_link('remove',e_PLUGIN.$eplug_folder.'/request.php',LAN_INVITE_111,e_UC_GUEST);
        }
    }
?>